Skip to navigation

Get Employee Deduction by resourceId

View as Markdown

Summary Description

This function will allow the API user to get details for a particular deduction code that occurs in the past/present/future.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

companyIdstringRequired

Paylocity company identifier (COID): up to 9 alphanumeric characters for the target company.

employeeIdstringRequired
Employee identifier within the specified company.
deductionCodestringRequired
Deduction code for the employee.
resourceIdstringRequired

Resource instance identifier (deduction/earning line id or related key, depending on the endpoint).

Headers

testModestringOptional
If true all responses are mocked and generated randomly
AcceptstringOptional

Media type(s) the client can accept in the response (typically application/json).

Response

Successful response

Errors

401
Unauthorized Error